SQDR System Requirements

You can install and run the StarQuest Data Replicator (SQDR) software on any of the following operating systems:

  • Windows Server 2008R2sp1, 2012, 2012R2, 2016, 2019
  • Windows 7sp1, 8, 8.1, 10

A minimum screen resolution of 1024 x 768 is recommended when using Data Replicator Manager.

The Data Replicator requires a control database in which to store definitions for sources, destinations, and subscriptions. If you are using SQDR Plus to support incremental replication, we recommend using the instance of DB2 LUW Express installed with SQDR Plus. Otherwise, you can use any of the following versions of IBM DB2 for Linux, Unix Windows (LUW) or Microsoft SQL Server for the SQDR control database. You can obtain DB2 Express-C free of charge from http://www.ibm.com/software/data/db2/express-c/download.html. Similarly, you can obtain the Microsoft SQL Server Express free of charge from http://www.microsoft.com/downloads to use as a control database for the Data Replicator.

  • IBM DB2 for LUW 10.1/10.5/11.1, including Express or Express-C (Express 10.5fp8 or later recommended)
  • SQL Server 2008/2008R2/2012/2014/2016/2017, including Express Edition (2008R2sp1 or later recommended)

The control database can be either local or remote. For a remote database, install the appropriate ODBC driver:

  • For DB2 for LUW control database: StarQuest StarSQL (included in the SQDR installer)
  • For SQL Server control database: Microsoft SQL Server Native Client 11 or ODBC 13.1, 17.1, or 17.2.

Using SQDR, you can replicate data to and from any of the following database systems:

  • IBM DB2 for i (formerly known as DB2/400, DB2 UDB for iSeries, and DB2 for i5/OS) running OS/400 V5R4 and later (including IBM i 7.3)
  • IBM DB2 9.7 & later for Linux, UNIX and Windows (including DB2 LUW 11.1)
  • IBM DB2 for z/OS 8.1 and later (including DB2 12 for z/OS)
  • SQL Server 2017, 2016, 2014, 2012, 2008R2, 2008, 2005
  • Oracle 10g or later (including Oracle 12c)
  • MySQL 4.1 or later
  • MariaDB 10.x or later
  • Amazon Web Services Aurora
  • Amazon Relational Database Service (RDS) for MySQL 5.6 or later
  • Google Cloud SQL for MySQL
  • PostgreSQL
  • TmaxSoft Tibero 6 or later
  • Kognitio WX2 7.1 or later
  • Apache Derby (JavaDB) 10.3 or later
  • Informix: any version of Informix supported by v4.70 of the IBM Informix ODBC driver:
  • Actian Pervasive PSQL
  • Salesforce (snapshot source)
  • Amazon Redshift

Incremental replication is supported from the following databases using SQDR Plus. SQDR Plus is licensed separately from the base SQDR product:

  • DB2 for i v5r4 and later
  • DB2 for Linux, UNIX, and Windows v9.7 and later
  • SQL Server 2008 and later
  • Oracle 11g or 12c
  • Informix 11.70 and later
  • MySQL 5.6 or later
  • MariaDB 10.x or later
  • Amazon Web Services Aurora
  • Amazon Relational Database Service (RDS) for MySQL 5.6 or later
  • Google Cloud SQL for MySQL

Access to DB2 databases requires an ODBC driver, such as the StarQuest StarSQL driver, the IBM DB2 Connect driver, or the IBM i Access for Windows driver (for access to DB2 for i).

Access to Microsoft SQL Server databases requires the Microsoft SQL Server Native client or ODBC driver; we recommend using the latest available ODBC driver (currently 17.2) or Native Client 11.

Access to Oracle databases requires one of the following ODBC drivers:

  • SQDR bundled ODBC driver for Oracle (recommended). Use the SQDR Oracle 8 driver for connections to Oracle 12.2.
  • Oracle Instant Client ( 12.1.0.2 or later)
  • Full Oracle Client
  • Progress DataDirect Connect or Connect64 for ODBC (Oracle Database Wire Protocol Driver)

Access to MySQL databases requires Connector/ODBC 5.1.x or 8.0.x (do not use Connector/ODBC 5.1.6).

Access to Informix databases requires that the database be configured to support Transactions.

To connect to Informix, you can use the IBM Informix ODBC driver 4.70xC7 & later (recommended), the IBM DB2 ODBC driver, the SQDR bundled ODBC driver, or the DataDirect Connect for ODBC driver . Some drivers may have limitations; for example, the IBM DB2 ODBC driver cannot handle variable UDT (CLOB) fields.

Access to Apache Derby (JavaDB) requires StarSQL 6.20 & later (installed with SQDR).

In addition, you can use Data Replicator with other databases if they can be accessed through an ODBC driver that complies with Level 2 of the ODBC 3.51 specification.

If you use an ODBC driver other than StarSQL there may be additional configuration requirements to use the driver for replications with SQDR. The SQDR Readme file and the Technical Documents area of the StarQuest Web site provide details about known issues for using SQDR with other products.